"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
class JsonLoader {
    static load(path) {
        return JSON.parse(fs.readFileSync(path));
    }
    static save(path, content, cb) {
        fs.writeFile(path, JSON.stringify(content, null, 2), cb);
    }
}
exports.JsonLoader = JsonLoader;
//# sourceMappingURL=json-loader.js.map